View Issue Details

IDProjectCategoryView StatusLast Update
0001504Ham Radio DeluxeBugpublic2017-09-18 00:08
ReporterSupport 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx686OSVistaOS Version
Product Version 
Target VersionFixed in Version6.4.0.787 
Summary0001504: Filter shows empty result (Parent)
DescriptionWhen you apply a filter (e.g. Country) and the result consist of a few records
and you start somewhere in the middle of you Log the resulting window is empty.
When you start at the beginning of your Log (the latest QSO is on the top)
everything works OK.

Steps to Reproduce:
1. Be in the middle of your records.
2. Search for some QSOs knowing that there are just a few such records in your
Log.
3. In my example I have 4 QSOs with Kaliningrad. There is no Scrollbar - you
cannot move the records up (I guess they are hidden below the visible window).

Additional Information:
A workraround exists - start search at the top of your Log always.
Additional InformationReported by OK1FMY
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
TestingNot Started

Relationships

related to 0002128 closedK7ZCZ Ham Radio Deluxe Logbook filter is difficult to use 

Activities

WA9PIE

2014-01-31 09:24

administrator   ~0000244

I know this happens. I've had it happen to me.

But I've tried the steps to reproduce as described below and that does not reproduce the problem.

Mike

WA9PIE

2014-03-18 16:57

administrator   ~0000364

I finally have a video that demonstrates this problem.

http://youtu.be/tRbYCeaza4A

WA9PIE

2017-03-05 21:42

administrator   ~0003110

Still happening in 633

K7ZCZ

2017-09-10 09:41

viewer   ~0004156

This is fixed with the "apply" button work on the filter. As far as I can tell, what was happening is that the timer would fire off to do a search and race the population of the visible list view. Once the list view was in a broken state, it couldn't be put right by anything the user did. I'm unable to repro the problem given the steps in the video using build 784.

g3ucq

2017-09-12 03:00

viewer   ~0004164

The search works fine for me. Fixed.

n4kit

2017-09-12 15:31

viewer   ~0004175

Still happening - sort of - in 685. I have 3 QSOs with Suriname. When I scoll to the center of the log, then execute a filter on Country Equals Suriname, I get a blank grid. What's more, when I close the filter bar, the top of the log is all blanks, but if I scroll down to roughly the same point I was at when I executed the filter, I start to see records again, and if I scroll back and forth a little, the display returns to normal.

If I execute the same filter with the scroll bar at the top, everything is fine.

WA9PIE

2017-09-18 00:08

administrator   ~0004231

Closed as part of the 6.4.0.787 release.

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:30 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2013-12-24 22:19 WA9PIE Status acknowledged => new
2014-01-31 09:24 WA9PIE Release => 6.1
2014-01-31 09:24 WA9PIE Module => Logbook
2014-01-31 09:24 WA9PIE Sub-Module => Appearance/UI
2014-01-31 09:24 WA9PIE Report Build => 6.1.4.189
2014-01-31 09:24 WA9PIE Note Added: 0000244
2014-01-31 09:24 WA9PIE Assigned To Support =>
2014-01-31 09:24 WA9PIE Status new => confirmed
2014-01-31 17:20 WA9PIE Summary Filter shows empty result => Bug: Filter shows empty result (Parent)
2014-01-31 17:20 WA9PIE Description Updated View Revisions
2014-02-02 16:40 WA9PIE View Status private => public
2014-03-18 16:57 WA9PIE Note Added: 0000364
2014-03-18 16:57 WA9PIE Assigned To => ERIK
2014-03-18 16:57 WA9PIE Status confirmed => assigned
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-23 00:07 WA9PIE Fix Build => (select)
2015-09-23 00:07 WA9PIE Summary Bug: Filter shows empty result (Parent) => Filter shows empty result (Parent)
2017-03-05 21:42 WA9PIE Note Added: 0003110
2017-03-08 10:40 WA9PIE Assigned To ERIK => WA9PIE
2017-09-03 15:37 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-09-05 10:36 K7ZCZ Assigned To WA9PIE => K7ZCZ
2017-09-10 09:38 K7ZCZ Relationship added related to 0002128
2017-09-10 09:41 K7ZCZ Status assigned => resolved
2017-09-10 09:41 K7ZCZ Resolution open => fixed
2017-09-10 09:41 K7ZCZ Testing => Not Started
2017-09-10 09:41 K7ZCZ Note Added: 0004156
2017-09-11 21:32 K7ZCZ Fixed in Version => 6.4.0.785
2017-09-12 03:00 g3ucq Note Added: 0004164
2017-09-12 15:31 n4kit Note Added: 0004175
2017-09-14 19:23 K7ZCZ Fixed in Version 6.4.0.785 => 6.4.0.787
2017-09-18 00:06 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-09-18 00:08 WA9PIE Note Added: 0004231
2017-09-18 00:08 WA9PIE Status resolved => closed